Ogre::deque< T, A > Struct Template Reference

`#include <OgrePrerequisites.h>`

List of all members.

## Public Types

typedef std::deque< T, A > | type
typedef std::deque< T, A > ::iterator | iterator
typedef std::deque< T, A > ::const_iterator | const_iterator

## Detailed Description

### template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>
struct Ogre::deque< T, A >

Definition at line 476 of file OgrePrerequisites.h.

## Member Typedef Documentation

template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>

typedef std::deque<T, A>::const_iterator Ogre::deque< T, A >::const_iterator

Definition at line 481 of file OgrePrerequisites.h.

template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>

typedef std::deque<T, A>::iterator Ogre::deque< T, A >::iterator

Definition at line 480 of file OgrePrerequisites.h.

template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>

typedef std::deque<T, A> Ogre::deque< T, A >::type

Definition at line 479 of file OgrePrerequisites.h.

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34